//
// Created by wits on 2022/5/20.
//

import Foundation
import Flutter


///添加设备处理handler

public class AddDeviceHandler: NSObject, FlutterStreamHandler {

    var events: FlutterEventSink?;

    public func onListen(withArguments arguments: Any?, eventSink events: @escaping FlutterEventSink) -> FlutterError? {
        self.events = events;
        return nil;
    }

    public func onCancel(withArguments arguments: Any?) -> FlutterError? {
        events = nil
        return nil;
    }


    public func onScanResult(map: [String: String]) {
        if (events != nil) {
            events!(String(data: try! JSONEncoder().encode(map), encoding: .utf8));
        }
    }

    public func onError(code: String, message: String?) {
        if (events != nil) {
            events!(FlutterError(code: code, message: message, details: nil));
        }
    }

}
